org.keycloak.exportimport

## Class ExportImportConfig

- java.lang.Object
- - org.keycloak.exportimport.ExportImportConfig

-     public class ExportImportConfig
      extends Object

  Author:
    Stian Thorgersen

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ACTION`
    `static String` | `DIR`
    `static String` | `FILE`
    `static String` | `PASSWORD`
    `static String` | `PROVIDER`
    `static String` | `PROVIDER_DEFAULT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExportImportConfig()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `getAction()`
    `static String` | `getDir()`
    `static String` | `getProvider()`
    `static String` | `getZipFile()`
    `static String` | `getZipPassword()`
    `static void` | `setAction(String exportImportAction)`
    `static void` | `setProvider(String exportImportProvider)`
    `static void` | `setZipFile(String exportImportZipFile)`
    `static void` | `setZipPassword(String exportImportZipPassword)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ACTION

          public static final String ACTION

      See Also:
        Constant Field Values

    - #### PROVIDER

          public static final String PROVIDER

      See Also:
        Constant Field Values

    - #### PROVIDER_DEFAULT

          public static final String PROVIDER_DEFAULT

      See Also:
        Constant Field Values

    - #### DIR

          public static final String DIR

      See Also:
        Constant Field Values

    - #### FILE

          public static final String FILE

      See Also:
        Constant Field Values

    - #### PASSWORD

          public static final String PASSWORD

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ExportImportConfig

          public ExportImportConfig()

  - ### Method Detail

    - #### getAction

          public static String getAction()

    - #### setAction

          public static void setAction(String exportImportAction)

    - #### getProvider

          public static String getProvider()

    - #### setProvider

          public static void setProvider(String exportImportProvider)

    - #### getDir

          public static String getDir()

    - #### getZipFile

          public static String getZipFile()

    - #### setZipFile

          public static void setZipFile(String exportImportZipFile)

    - #### getZipPassword

          public static String getZipPassword()

    - #### setZipPassword

          public static void setZipPassword(String exportImportZipPassword)

Copyright © 2014. All Rights Reserved.